/* ogcalc - calculate %ABV and OG from PG, RI and CF.
 *
 * Copyright (C) 2003  Roger Leigh <rleigh@debian.org>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 *
 **********************************************************/

#ifndef OGCALC_H
#define OGCALC_H

#include <gtk/gtk.h>
#include <glade/glade.h>

#define OGCALC_TYPE            (ogcalc_get_type ())
#define OGCALC(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGCALC_TYPE, Ogcalc))
#define OGCALC_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OGCALC_TYPE, OgcalcClass))
#define IS_OGCALC(obj)	       (G_TYPE_CHECK_TYPE ((obj), OGCALC_TYPE))
#define IS_OGCALC_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGCALC_TYPE))
#define OGCALC_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), OGCALC_TYPE, OgcalcClass))

typedef struct _Ogcalc Ogcalc;
typedef struct _OgcalcClass OgcalcClass;

struct _Ogcalc
{
  GtkWindow parent;
  GladeXML *xml;
  GtkSpinButton *pg_val;
  GtkSpinButton *ri_val;
  GtkSpinButton *cf_val;
  GtkLabel *og_result;
  GtkLabel *abv_result;
  GtkButton* quit_button;
  GtkButton* reset_button;
  GtkButton* calculate_button;
};

struct _OgcalcClass
{
  GtkWindowClass parent;
};

GType ogcalc_get_type (void);

Ogcalc *
ogcalc_new (void);

void
ogcalc_reset( Ogcalc *ogcalc,
	      gpointer   data );

void
ogcalc_calculate( Ogcalc *ogcalc,
		  gpointer   data );

#endif /* OGCALC_H */

/*
 * Local Variables:
 * mode:C
 * fill-column:60
 * End:
 */
